Author: Patrick Franz <deltaone@debian.org>
Description: Remove dependencies on catapult from src/3rdparty
Forwarded: not-needed

diff --git a/chromium/BUILD.gn b/chromium/BUILD.gn
index 457c83e8158..b0cd3ef2f74 100644
--- a/src/3rdparty/chromium/BUILD.gn
+++ b/src/3rdparty/chromium/BUILD.gn
@@ -244,7 +244,6 @@ group("gn_all") {
     if (!is_ios) {
       deps += [
         "//google_apis/gcm:mcs_probe",
-        "//third_party/catapult/telemetry:bitmaptools($host_toolchain)",
       ]
       if (!is_android) {
         if (!is_castos && !is_fuchsia) {
@@ -387,7 +386,6 @@ group("gn_all") {
         "//testing/android/junit:junit_unit_tests",
         "//third_party/android_build_tools/lint:custom_lint_java",
         "//third_party/androidx_javascriptengine",
-        "//third_party/catapult/devil",
         "//third_party/jni_zero/samples:jni_generator_tests",
         "//third_party/r8:custom_d8_java",
         "//tools/android:android_tools",
@@ -1163,7 +1161,6 @@ if (use_blink && !is_cronet_build) {
       "//third_party/blink/public:blink_devtools_inspector_resources",
       "//third_party/blink/public/mojom:mojom_platform_js_data_deps",
       "//third_party/blink/renderer/core:gen_files_for_web_tests",
-      "//third_party/catapult/third_party/typ",
       "//third_party/hyphenation-patterns:test_data",
       "//third_party/mesa_headers",
       "//tools/imagediff",
@@ -1242,7 +1239,6 @@ if (use_blink && !is_cronet_build) {
 
     if (is_android) {
       data += [
-        "//third_party/catapult/",
         "//build/android/",
       ]
     }
@@ -1589,10 +1585,6 @@ if (use_blink && !is_cronet_build) {
       "//third_party/blink/web_tests/VirtualTestSuites",
       "//third_party/blink/web_tests/W3CImportExpectations",
       "//third_party/blink/web_tests/paint/invalidation/repaint-overlay/",
-      "//third_party/catapult/common/py_utils/",
-      "//third_party/catapult/devil/",
-      "//third_party/catapult/dependency_manager/",
-      "//third_party/catapult/third_party/typ/",
       "//third_party/depot_tools/pylint-2.7",
       "//third_party/depot_tools/pylint_main.py",
       "//third_party/depot_tools/pylintrc",
diff --git a/src/3rdparty/chromium/chrome/chrome_paks.gni b/src/3rdparty/chromium/chrome/chrome_paks.gni
index b9dce47a02f..e7e4c5e7be5 100644
--- a/src/3rdparty/chromium/chrome/chrome_paks.gni
+++ b/src/3rdparty/chromium/chrome/chrome_paks.gni
@@ -190,7 +190,6 @@ template("chrome_extra_paks") {
         "$root_gen_dir/chrome/webui_gallery_resources.pak",
         "$root_gen_dir/chrome/whats_new_resources.pak",
         "$root_gen_dir/content/browser/devtools/devtools_resources.pak",
-        "$root_gen_dir/content/browser/tracing/tracing_resources.pak",
         "$root_gen_dir/content/traces_internals_resources.pak",
       ]
       deps += [
@@ -198,7 +197,6 @@ template("chrome_extra_paks") {
         "//chrome/browser/resources:dev_ui_paks",
         "//chrome/browser/resources/search_engine_choice:resources",
         "//content/browser/devtools:devtools_resources",
-        "//content/browser/tracing:resources",
       ]
       if (is_chrome_branded) {
         sources += [
diff --git a/src/3rdparty/chromium/chrome/test/BUILD.gn b/src/3rdparty/chromium/chrome/test/BUILD.gn
index a4e85c1e931..03beb728a61 100644
--- a/src/3rdparty/chromium/chrome/test/BUILD.gn
+++ b/src/3rdparty/chromium/chrome/test/BUILD.gn
@@ -10726,8 +10726,6 @@ if (!is_android && !is_fuchsia) {
       "//chrome/test/data/password/captured_sites/",
       "//chrome/test/data/web_page_replay_go_helper_scripts/automation_helper.js",
       "//components/test/data/autofill/web_page_replay_support_files/",
-      "//third_party/catapult/telemetry/telemetry/bin/",
-      "//third_party/catapult/web_page_replay_go/deterministic.js",
     ]

     if (is_linux || is_chromeos || is_win) {
@@ -10814,7 +10812,6 @@ if (!is_android) {
     deps = [ "//tools/perf/chrome_telemetry_build:telemetry_chrome_test" ]

     data = [
-      "//third_party/catapult/telemetry/telemetry/internal/bin/",
       "//tools/perf/run_telemetry_tests",
       "//testing/scripts/run_telemetry_as_googletest.py",
     ]
diff --git a/src/3rdparty/chromium/chrome/test/variations/BUILD.gn b/src/3rdparty/chromium/chrome/test/variations/BUILD.gn
index 60719e540b9..d8cf14506c3 100644
--- a/src/3rdparty/chromium/chrome/test/variations/BUILD.gn
+++ b/src/3rdparty/chromium/chrome/test/variations/BUILD.gn
@@ -17,8 +17,6 @@ python_library("test_utils") {
   testonly = true

   data = [ "//chrome/test/variations/test_utils/" ]
-
-  data_deps = [ "//third_party/catapult/third_party/gsutil:gsutil" ]
 }

 python_library("fixtures") {
@@ -43,7 +41,6 @@ python_library("fixtures") {
       "//build/android:devil_chromium_py",
       "//build/android:test_runner_py",
       "//clank/bin:installer_scripts",
-      "//third_party/catapult/devil:devil",
     ]
   }

diff --git a/src/3rdparty/chromium/content/browser/BUILD.gn b/src/3rdparty/chromium/content/browser/BUILD.gn
index 00ba6f9edaf..5922ea17795 100644
--- a/src/3rdparty/chromium/content/browser/BUILD.gn
+++ b/src/3rdparty/chromium/content/browser/BUILD.gn
@@ -3391,7 +3391,6 @@ jumbo_source_set("browser") {
     deps += [
       "//components/vector_icons",
       "//components/webauthn/json",
-      "//content/browser/tracing:resources",
     ]
   }

diff --git a/src/3rdparty/chromium/content/browser/tracing/tracing_ui.cc b/src/3rdparty/chromium/content/browser/tracing/tracing_ui.cc
index dcfee226a6e..66d8bfc26bb 100644
--- a/src/3rdparty/chromium/content/browser/tracing/tracing_ui.cc
+++ b/src/3rdparty/chromium/content/browser/tracing/tracing_ui.cc
@@ -25,7 +25,6 @@
 #include "base/strings/string_util.h"
 #include "base/trace_event/trace_event.h"
 #include "base/values.h"
-#include "content/browser/tracing/grit/tracing_resources.h"
 #include "content/browser/tracing/tracing_controller_impl.h"
 #include "content/public/browser/browser_context.h"
 #include "content/public/browser/browser_thread.h"
@@ -240,8 +240,6 @@ TracingUI::TracingUI(WebUI* web_ui)
       web_ui->GetWebContents()->GetBrowserContext(), kChromeUITracingHost);
   source->DisableTrustedTypesCSP();
   source->UseStringsJs();
-  source->SetDefaultResource(IDR_TRACING_ABOUT_TRACING_HTML);
-  source->AddResourcePath("tracing.js", IDR_TRACING_ABOUT_TRACING_JS);

   source->SetRequestFilter(base::BindRepeating(OnShouldHandleRequest),
                            base::BindRepeating(OnTracingRequest));
diff --git a/src/3rdparty/chromium/content/shell/BUILD.gn b/src/3rdparty/chromium/content/shell/BUILD.gn
index bfa01025410..e0cf308394f 100644
--- a/src/3rdparty/chromium/content/shell/BUILD.gn
+++ b/src/3rdparty/chromium/content/shell/BUILD.gn
@@ -538,14 +538,6 @@ repack("pak") {
     sources += [ "$root_gen_dir/content/webxr_internals_resources.pak" ]
   }
 
-  if (!is_android && !is_ios) {
-    deps += [ "//content/browser/tracing:resources" ]
-    sources += [
-      "$root_gen_dir/content/browser/tracing/tracing_resources.pak",
-      "$root_gen_dir/content/traces_internals_resources.pak",
-    ]
-  }
-
   if (is_ios) {
     sources += [
       "$root_gen_dir/device/bluetooth/strings/bluetooth_strings_en-US.pak",
diff --git a/chromium/fuchsia_web/webengine/BUILD.gn b/chromium/fuchsia_web/webengine/BUILD.gn
index 419b36e526d..887573f4695 100644
--- a/src/3rdparty/chromium/fuchsia_web/webengine/BUILD.gn
+++ b/src/3rdparty/chromium/fuchsia_web/webengine/BUILD.gn
@@ -132,7 +132,6 @@ source_set("web_engine_export_from_implementation") {
 repack("web_engine_pak") {
   sources = [
     "$root_gen_dir/components/components_resources.pak",
-    "$root_gen_dir/content/browser/tracing/tracing_resources.pak",
     "$root_gen_dir/content/content_resources.pak",
     "$root_gen_dir/content/gpu_resources.pak",
     "$root_gen_dir/mojo/public/js/mojo_bindings_resources.pak",
@@ -146,7 +145,6 @@ repack("web_engine_pak") {
     "//components/resources:components_resources",
     "//content:content_resources",
     "//content/browser/resources/gpu:resources",
-    "//content/browser/tracing:resources",
     "//gpu/command_buffer/service",
     "//mojo/public/js:resources",
     "//net:net_resources",
diff --git a/src/3rdparty/chromium/mojo/public/tools/BUILD.gn b/src/3rdparty/chromium/mojo/public/tools/BUILD.gn
index eb6391a6540..87e7585aa15 100644
--- a/src/3rdparty/chromium/mojo/public/tools/BUILD.gn
+++ b/src/3rdparty/chromium/mojo/public/tools/BUILD.gn
@@ -17,6 +17,5 @@ group("mojo_python_unittests") {
   ]
   data_deps = [
     "//testing:test_scripts_shared",
-    "//third_party/catapult/third_party/typ/",
   ]
 }
diff --git a/src/3rdparty/chromium/testing/BUILD.gn b/src/3rdparty/chromium/testing/BUILD.gn
index 3e30ea06c3a..16faa75dff8 100644
--- a/src/3rdparty/chromium/testing/BUILD.gn
+++ b/src/3rdparty/chromium/testing/BUILD.gn
@@ -35,7 +35,6 @@ group("run_perf_test") {

   data_deps = [
     ":test_scripts_shared",
-    "//third_party/catapult/tracing:convert_chart_json",
   ]

   if (is_android) {
diff --git a/src/3rdparty/chromium/third_party/blink/tools/BUILD.gn b/src/3rdparty/chromium/third_party/blink/tools/BUILD.gn
index 5356ca181c3..81be66c06a6 100644
--- a/src/3rdparty/chromium/third_party/blink/tools/BUILD.gn
+++ b/src/3rdparty/chromium/third_party/blink/tools/BUILD.gn
@@ -34,7 +34,6 @@ group("wpt_tests_isolate") {
   ]
   data_deps = [
     "//testing:test_scripts_shared",
-    "//third_party/catapult/third_party/typ:typ",
     "//tools/imagediff",
   ]
   if (!is_ios) {
@@ -60,7 +59,6 @@ if (is_android) {
       ":wpt_tests_isolate",
       "//build/android:devil_chromium_py",
       "//build/android:test_runner_py",
-      "//third_party/catapult/devil:devil",
     ]
   }
 }
diff --git a/src/3rdparty/chromium/third_party/angle/gni/angle.gni b/src/3rdparty/chromium/third_party/angle/gni/angle.gni
index 31253e3f442..3bf708d5205 100644
--- a/src/3rdparty/chromium/third_party/angle/gni/angle.gni
+++ b/src/3rdparty/chromium/third_party/angle/gni/angle.gni
@@ -473,10 +473,6 @@ if (angle_standalone || build_with_chromium) {
       if (angle_has_histograms) {
         sources +=
             [ "$angle_root/src/tests/test_utils/runner/HistogramWriter.cpp" ]
-        deps += [
-          "//third_party/catapult/tracing/tracing:histogram",
-          "//third_party/catapult/tracing/tracing:reserved_infos",
-        ]
       }

       if (is_mac) {
diff --git a/src/3rdparty/chromium/third_party/webrtc/test/BUILD.gn b/src/3rdparty/chromium/third_party/webrtc/test/BUILD.gn
index c89085d5421..36b2889d27c 100644
--- a/src/3rdparty/chromium/third_party/webrtc/test/BUILD.gn
+++ b/src/3rdparty/chromium/third_party/webrtc/test/BUILD.gn
@@ -395,10 +395,6 @@ rtc_library("perf_test") {
   ]
   if (rtc_enable_protobuf) {
     sources += [ "testsupport/perf_test_histogram_writer.cc" ]
-    deps += [
-      "//third_party/catapult/tracing/tracing:histogram",
-      "//third_party/catapult/tracing/tracing:reserved_infos",
-    ]
   } else {
     sources += [ "testsupport/perf_test_histogram_writer_no_protobuf.cc" ]
   }
@@ -795,7 +791,6 @@ if (rtc_include_tests) {

       if (rtc_enable_protobuf) {
         sources += [ "testsupport/perf_test_histogram_writer_unittest.cc" ]
-        deps += [ "//third_party/catapult/tracing/tracing:histogram" ]
       }

       data = test_support_unittests_resources
diff --git a/src/3rdparty/chromium/tools/binary_size/BUILD.gn b/src/3rdparty/chromium/tools/binary_size/BUILD.gn
index 383ab115e57..e681d1f6e70 100644
--- a/src/3rdparty/chromium/tools/binary_size/BUILD.gn
+++ b/src/3rdparty/chromium/tools/binary_size/BUILD.gn
@@ -20,7 +20,6 @@ python_library("sizes_py") {
   pydeps_file = "sizes.pydeps"
   data_deps = [
     "//build/util:test_results",
-    "//third_party/catapult/tracing:convert_chart_json",
   ]
 }

diff --git a/src/3rdparty/chromium/tools/grit/BUILD.gn b/src/3rdparty/chromium/tools/grit/BUILD.gn
index 08f41243caa..c0e1c9e40a9 100644
--- a/src/3rdparty/chromium/tools/grit/BUILD.gn
+++ b/src/3rdparty/chromium/tools/grit/BUILD.gn
@@ -33,7 +33,6 @@ group("grit_python_unittests") {
   data = [
     "//testing/scripts/run_isolated_script_test.py",
     "//tools/grit/",
-    "//third_party/catapult/third_party/typ/",
     "//third_party/node/",
   ]
 }
diff --git a/src/3rdparty/chromium/tools/gritsettings/resource_ids.spec b/src/3rdparty/chromium/tools/gritsettings/resource_ids.spec
index 82699203111..12497514e73 100644
--- a/src/3rdparty/chromium/tools/gritsettings/resource_ids.spec
+++ b/src/3rdparty/chromium/tools/gritsettings/resource_ids.spec
@@ -1076,10 +1076,10 @@
   },
 
   # This file is generated during the build.
-  "<(SHARED_INTERMEDIATE_DIR)/content/browser/tracing/tracing_resources.grd": {
-    "META": {"sizes": {"includes": [20],}},
-    "includes": [7360],
-  },
+  #"<(SHARED_INTERMEDIATE_DIR)/content/browser/tracing/tracing_resources.grd": {
+  #  "META": {"sizes": {"includes": [20],}},
+  #  "includes": [7360],
+  #},
   # END content/ section.
 
   # START "everything else" section.
diff --git a/src/3rdparty/chromium/tools/metrics/BUILD.gn b/src/3rdparty/chromium/tools/metrics/BUILD.gn
index 51583b56257..9334755861c 100644
--- a/src/3rdparty/chromium/tools/metrics/BUILD.gn
+++ b/src/3rdparty/chromium/tools/metrics/BUILD.gn
@@ -45,7 +45,6 @@ group("metrics_python_tests") {
     # The run_isolated_script_test.py script and its dependencies.
     "//testing/scripts/run_isolated_script_test.py",
     "//testing/scripts/common.py",
-    "//third_party/catapult/third_party/typ/",

     # Scripts we depend on. Their unit tests are also included.
     "//tools/json_comment_eater/json_comment_eater.py",
diff --git a/src/3rdparty/chromium/tools/perf/chrome_telemetry_build/BUILD.gn b/src/3rdparty/chromium/tools/perf/chrome_telemetry_build/BUILD.gn
index 902b24d2e2f..fa729b52f51 100644
--- a/src/3rdparty/chromium/tools/perf/chrome_telemetry_build/BUILD.gn
+++ b/src/3rdparty/chromium/tools/perf/chrome_telemetry_build/BUILD.gn
@@ -207,7 +207,6 @@ group("telemetry_chrome_test_without_chrome") {
   ]
   data_deps = [
     "//testing:test_scripts_shared",
-    "//third_party/catapult:telemetry_chrome_test_support",
     "//tools/metrics:metrics_python_tests",
   ]

@@ -251,7 +250,5 @@ group("telemetry_chrome_test_without_chrome") {
       "//build/android:devil_chromium_py",
       "//build/android:stack_tools",
     ]
-  } else if (!is_fuchsia) {
-    data_deps += [ "//third_party/catapult/telemetry:bitmaptools" ]
   }
 }
diff --git a/src/3rdparty/chromium/tools/perf/core/perfetto_binary_roller/BUILD.gn b/src/3rdparty/chromium/tools/perf/core/perfetto_binary_roller/BUILD.gn
index d7289e158c6..72c9991df95 100644
--- a/src/3rdparty/chromium/tools/perf/core/perfetto_binary_roller/BUILD.gn
+++ b/src/3rdparty/chromium/tools/perf/core/perfetto_binary_roller/BUILD.gn
@@ -7,7 +7,6 @@ import("//build/util/generate_wrapper.gni")
 generate_wrapper("upload_trace_processor") {
   testonly = true
   data_deps = [
-    "//third_party/catapult:telemetry_chrome_test_support",
     "//third_party/perfetto/src/trace_processor:trace_processor_shell",
   ]
   data = [
diff --git a/src/3rdparty/chromium/tools/polymer/BUILD.gn b/src/3rdparty/chromium/tools/polymer/BUILD.gn
index 96d13acb93f..79a94d2e3c0 100644
--- a/src/3rdparty/chromium/tools/polymer/BUILD.gn
+++ b/src/3rdparty/chromium/tools/polymer/BUILD.gn
@@ -8,7 +8,6 @@ group("polymer_tools_python_unittests") {
   data = [
     "//testing/scripts/run_isolated_script_test.py",
     "//tools/polymer/",
-    "//third_party/catapult/third_party/typ/",
   ]
   data_deps = [ "//testing:test_scripts_shared" ]
 }
diff --git a/src/3rdparty/chromium/v8/tools/BUILD.gn b/src/3rdparty/chromium/v8/tools/BUILD.gn
index 2f8197dd369..83304b6342b 100644
--- a/src/3rdparty/chromium/v8/tools/BUILD.gn
+++ b/src/3rdparty/chromium/v8/tools/BUILD.gn
@@ -31,10 +31,6 @@ group("v8_android_test_runner_deps") {

   if (is_android && !build_with_chromium) {
     data_deps = [ "//build/android:test_runner_py" ]
-    data = [
-      # This is used by android.py, but not included by test_runner_py above.
-      "//third_party/catapult/devil/devil/android/perf/",
-    ]
   }
 }


--
